## kate4 4.14.3

=== addons/kate/CMakeLists.txt ===
# Kate interfaces used for the plugins
include_directories (${CMAKE_SOURCE_DIR}/kate/interfaces)

# default debug area
add_definitions ( -DKDE_DEFAULT_DEBUG_AREA=13040 )

if(NOT WIN32)
   add_subdirectory( gdbplugin )   # reading /proc/...
endif(NOT WIN32)

add_subdirectory( textfilter )
add_subdirectory( konsole )

add_subdirectory( filebrowser )
add_subdirectory( mailfiles )

add_subdirectory( tabbarextension )
add_subdirectory( symbolviewer )
add_subdirectory( backtracebrowser )

add_subdirectory( filetemplates )

add_subdirectory( kate-ctags )
add_subdirectory( katebuild-plugin )
add_subdirectory( search )

add_subdirectory( kttsd )

add_subdirectory( openheader )
add_subdirectory( xmltools )
add_subdirectory( xmlcheck )

add_subdirectory( snippets )

add_subdirectory( tabify )

add_subdirectory( katesql )

add_subdirectory( close-except-like )

add_subdirectory( replicode )

macro_optional_add_subdirectory(pate)

macro_optional_add_subdirectory(project)

=== doc/pate/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/KatePtPluginAPIReference.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/KatePtPluginAPIReference.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/KatePtPluginAPIReference"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/KatePtPluginAPIReference"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== kate/data/CMakeLists.txt ===
# desktop files and co
install( PROGRAMS kate.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES katerc  DESTINATION  ${CONFIG_INSTALL_DIR} )
install( FILES tips kateui.rc DESTINATION  ${DATA_INSTALL_DIR}/kate )
install( FILES kateplugin.desktop  DESTINATION  ${SERVICETYPES_INSTALL_DIR} )
install( FILES kate-2.4.upd  DESTINATION  ${KCONF_UPDATE_INSTALL_DIR} )

# kate application icons
add_subdirectory (icons)

=== addons/kate/backtracebrowser/CMakeLists.txt ===
########### next target ###############

set(katebacktracebrowserplugin_PART_SRCS
    katebacktracebrowser.cpp
    btparser.cpp
    btfileindexer.cpp
    btdatabase.cpp
)
set(katebacktracebrowserplugin_PART_UI
    btbrowserwidget.ui
    btconfigwidget.ui
)
kde4_add_ui_files(katebacktracebrowserplugin_PART_SRCS ${katebacktracebrowserplugin_PART_UI} )
kde4_add_plugin(katebacktracebrowserplugin ${katebacktracebrowserplugin_PART_SRCS})
target_link_libraries(katebacktracebrowserplugin ${KDE4_KFILE_LIBS} kateinterfaces ${KDE4_KTEXTEDITOR_LIBS})

########### install files ###############

install( TARGETS katebacktracebrowserplugin DESTINATION ${PLUGIN_INSTALL_DIR} )
install( FILES katebacktracebrowserplugin.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== addons/kate/pate/CMakeLists.txt ===
# This file is part of Pate, Kate' Python scripting plugin.
#
# Copyright (C) 2006 Paul Giannaros <paul@giannaros.org>
# Copyright (C) 2012 Shaheed Haque <srhaque@theiet.org>
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) version 3.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public License
# along with this library; see the file COPYING.LIB.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA 02110-1301, USA.

project(pate)

macro_optional_find_package(PythonLibrary)
macro_log_feature(PYTHON_LIBRARY "PythonLibrary" "Python Library" "")

macro_optional_find_package(SIP)
macro_log_feature(SIP_FOUND "SIP" "Support for SIP Python bindings" "")

macro_optional_find_package(PyQt4)
macro_log_feature(PYQT4_FOUND "PyQt4" "Python bindings for Qt4" "")

macro_optional_find_package(PyKDE4)
macro_log_feature(PYKDE4_FOUND "PyKDE4" "Python bindings for KDE4" "")

if (NOT PYTHONLIBRARY_FOUND)
    message(WARNING "Pate plugin needs Python Library.")
    return()
endif (NOT PYTHONLIBRARY_FOUND)
if (NOT PYTHON_LIBRARY)
    message(WARNING "Pate plugin needs Python Library. (We are halfway there broken installation??")
    return()
endif (NOT PYTHON_LIBRARY)
if (NOT SIP_FOUND OR 0x${SIP_VERSION} LESS 0x40701)
    message(WARNING "Pate plugin needs SIP 4.7.1 or later. " ${SIP_VERSION})
    return()
endif (NOT SIP_FOUND OR 0x${SIP_VERSION} LESS 0x40701)
if (NOT SIP_EXECUTABLE OR NOT EXISTS ${SIP_EXECUTABLE})
    message(WARNING "Pate plugin needs SIP executable " ${SIP_EXECUTABLE})
    return()
endif (NOT SIP_EXECUTABLE OR NOT EXISTS ${SIP_EXECUTABLE})
if (NOT EXISTS ${PYQT4_SIP_DIR}/QtCore/QtCoremod.sip)
    message(WARNING "Pate plugin needs the PyQt4 development sip file QtCoremod.sip")
    return()
endif()
if (NOT EXISTS ${PYKDE4_SIP_DIR}/kdecore/kdecoremod.sip)
    message(WARNING "Pate plugin needs the PyKDE4 development sip files kdecoremod.sip")
    return()
endif()
if (NOT PYQT4_FOUND OR 0x${PYQT4_VERSION} LESS 0x040301)
    message(WARNING "Pate plugin needs PyQT 4.3.1 or later. " ${PYQT4_VERSION})
    return()
endif (NOT PYQT4_FOUND OR 0x${PYQT4_VERSION} LESS 0x040301)
if (NOT PYKDE4_FOUND)
    message(WARNING "Pate plugin needs PyKDE4.")
    return()
endif (NOT PYKDE4_FOUND)

#
# Use the Kate header files from the current source tree.
#
set(KATE_INCLUDES ${CMAKE_CURRENT_SOURCE_DIR}/../../../kate)

include(KDE4Defaults)
include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${SIP_INCLUDE_DIR} ${PYTHON_INCLUDE_PATH}
    # Qt
    # TODO Make sure all that paths are required...
    ${QT_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR} ${QT_QTNETWORK_INCLUDE_DIR} ${QT_QTOPENGL_INCLUDE_DIR} ${QT_QTSQL_INCLUDE_DIR} ${QT_QTXML_INCLUDE_DIR} ${QT_QTSVG_INCLUDE_DIR} ${QT_WEBKIT_INCLUDE_DIR}
    # KDE
    ${KDE4_INCLUDE_DIR} ${KDE4_INCLUDE_DIR}/solid ${KDE4_INCLUDE_DIR}/kio ${KDE4_INCLUDE_DIR}/dom ${KDE4_INCLUDE_DIR}/ksettings
    # Kate
    ${KATE_INCLUDES} ${KATE_INCLUDES}/interfaces ${KATE_INCLUDES}/interfaces/kate)

add_subdirectory(sip)
add_subdirectory(src)

=== addons/kate/project/CMakeLists.txt ===
# we need QJson
set (CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
macro_optional_find_package(QJSON)
macro_log_feature(QJSON_FOUND "QJSON" "Json parser for Qt" "")

# bail out without it!
if (NOT QJSON_FOUND)
    message(WARNING "Project plugin needs QJSON Library.")
    return()
endif (NOT QJSON_FOUND)

# Ubuntu 12.10 needs the lower-case qjson
include_directories( ${QJSON_INCLUDE_DIR} ${qjson_INCLUDE_DIR} )

set(kateprojectplugin_PART_SRCS
  kateprojectplugin.cpp
  kateprojectpluginview.cpp
  kateproject.cpp
  kateprojectworker.cpp
  kateprojectitem.cpp
  kateprojectview.cpp
  kateprojectviewtree.cpp
  kateprojecttreeviewcontextmenu.cpp
  kateprojectinfoview.cpp
  kateprojectcompletion.cpp
  kateprojectindex.cpp
  kateprojectinfoviewindex.cpp
  kateprojectinfoviewterminal.cpp
  kateprojectinfoviewcodeanalysis.cpp
  kateprojectinfoviewnotes.cpp
)

kde4_add_plugin(kateprojectplugin ${kateprojectplugin_PART_SRCS})

# Ubuntu 12.10 needs the lower-case qjson
target_link_libraries(kateprojectplugin  ${KDE4_KDEUI_LIBS} ${QJSON_LIBRARIES} ${qjson_LIBRARIES} kateinterfaces ktexteditor)

########### install files ###############
install(TARGETS kateprojectplugin DESTINATION ${PLUGIN_INSTALL_DIR} )
install( FILES ui.rc  kateproject.example DESTINATION  ${DATA_INSTALL_DIR}/kate/plugins/project )
install( FILES kateprojectplugin.desktop DESTINATION  ${SERVICES_INSTALL_DIR} )

=== addons/kate/symbolviewer/CMakeLists.txt ===
########### next target ###############

set(katesymbolviewerplugin_PART_SRCS cpp_parser.cpp tcl_parser.cpp fortran_parser.cpp perl_parser.cpp 
php_parser.cpp xslt_parser.cpp ruby_parser.cpp python_parser.cpp bash_parser.cpp ecma_parser.cpp plugin_katesymbolviewer.cpp )


kde4_add_plugin(katesymbolviewerplugin ${katesymbolviewerplugin_PART_SRCS})



target_link_libraries(katesymbolviewerplugin  ${KDE4_KDEUI_LIBS} kateinterfaces ${KDE4_KTEXTEDITOR_LIBS} )

install(TARGETS katesymbolviewerplugin  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES ui.rc  DESTINATION  ${DATA_INSTALL_DIR}/kate/plugins/katesymbolviewer )
install( FILES katesymbolviewer.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== addons/kate/tabify/CMakeLists.txt ===
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories(${KDE4_INCLUDES})

kde4_add_plugin(katetabifyplugin tabify.cpp)

target_link_libraries(katetabifyplugin  ${KDE4_KDEUI_LIBS} ${KDE4_KPARTS_LIBS} kateinterfaces)

install(TARGETS katetabifyplugin DESTINATION ${PLUGIN_INSTALL_DIR})

####################### install files #########################################
install(FILES ui.rc DESTINATION ${DATA_INSTALL_DIR}/kate/plugins/katetabify)
install(FILES  katetabifyplugin.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== addons/ktexteditor/autobrace/CMakeLists.txt ===
project(ktexteditor_autobrace)

add_subdirectory( icons )

########### next target ###############

set(ktexteditor_autobrace_PART_SRCS autobrace.cpp autobrace_config.cpp)

kde4_add_plugin(ktexteditor_autobrace ${ktexteditor_autobrace_PART_SRCS} )

target_link_libraries(ktexteditor_autobrace ${KDE4_KDECORE_LIBS} ${KDE4_KTEXTEDITOR_LIBS} )

install(TARGETS ktexteditor_autobrace DESTINATION ${PLUGIN_INSTALL_DIR} )

########### install files ###############

install(FILES ktexteditor_autobrace.desktop ktexteditor_autobrace_config.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== addons/kate/pate/src/sip/CMakeLists.txt ===
# This file is part of PyKDE4.
#
# Copyright (C) 2012, 2013 Shaheed Haque <srhaque@theiet.org>
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

#
# The .sip files being built here are generated using MetaSIP from
# http://www.riverbankcomputing.com/hg/metasip. This is a relatively new tool
# and is typically not packaged by distros. A summary of the steps needed to
# get it working are at http://python.6.n6.nabble.com/ANN-MetaSIP-v1-0-Released-tp4715818p4991287.html.
# The result is a MetaSIP .msp project file, from which MetaSIP's CLI
# can be used to generate the .sip files. The MetaSIP GUI is used to create
# the .msp file:
#
# msip <whatever>.msp
#
# To recreate the .sip files, cd to this directory and then:
#
# msip -g . <whatever>.msp
#
# For now, the .msp file and the .sip files are checked into this directory,
# and the <whatever> subdirectory respectively.
#

include(SIPMacros)
include(KDE4Defaults)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}
    # Okteta
    /usr/include/okteta1)

set(SIP_INCLUDES ${PYQT4_SIP_DIR} ${PYKDE4_SIP_DIR} ./okteta)
set(SIP_CONCAT_PARTS 1)
set(SIP_TAGS ALL WS_X11 ${PYQT4_VERSION_TAG})

if(PYQT4_VERSION LESS "040905")
    set(SIP_EXTRA_OPTIONS -g)
else (PYQT4_VERSION LESS "040905")
    # Disable QVector<int> for newer PyQt
    set(SIP_EXTRA_OPTIONS -g -x PyKDE_QVector)
endif(PYQT4_VERSION LESS "040905")

add_sip_python_module(PyKate4.okteta ./okteta/oktetamod.sip ${KDE4_KDEUI_LIBS} okteta1core okteta1gui)

install(FILES
    ./__init__.py
    DESTINATION ${PYTHON_SITE_PACKAGES_INSTALL_DIR}/PyKate4/)

=== debian/changelog ===
kate4 (4:4.14.3-5) unstable; urgency=medium

  * Team upload.
  * Backport upstream commits 8b2820b4c95284337b5713ce7f548a456c25279e and
    3411777a09481e26a595eddf43333571963fe69b (from ktexteditor) to fix build
    with GCC 7; patch gcc-7.diff. (Closes: #853471)
  * Bump Standards-Version to 4.1.2, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 25 Dec 2017 15:57:04 +0100

kate4 (4:4.14.3-4) unstable; urgency=medium

  * Team upload.
  * Remove the libkactivities-dev build dependency, since the kactivities
    integration is done only in the kate application (which is not shipped
    by this source).
  * Set the cmake minimum version required and policies; cmake-policy.diff.
  * Since we are interested only in katepart, explicitly disable the build of
    kate, kwrite, and the plasma stuff:
    - pass to cmake: -DBUILD_kate=false -DBUILD_kwrite=false -DBUILD_doc=false
      -DBUILD_plasma=false
    - make sure that addons can be disabled with BUILD_<foo> options as well;
      patch cmake-optional.diff
    - remove kate stuff from kate-data.install
    - drop binary libkateinterfaces4, no more built
    - clean not-installed file
  * Remove unused .install and .lintian-overrides files.
  * Update Vcs-* fields.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Update lintian overrides.
  * Remove unused reference to kate-dbg in rules.

 -- Pino Toscano <pino@debian.org>  Sun, 19 Jun 2016 08:02:47 +0200

kate4 (4:4.14.3-3) unstable; urgency=medium

  * Team upload.
  * Drop unused build-dependencies. (Closes: #816809)

 -- Felix Geyer <fgeyer@debian.org>  Sat, 05 Mar 2016 14:13:33 +0100

kate4 (4:4.14.3-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Sep 2015 16:20:45 +0200

kate4 (4:4.14.3-1) experimental; urgency=medium

  * Prepare Debian release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 24 Feb 2015 00:00:48 +0100

kate4 (4:4.14.3-0ubuntu4) vivid; urgency=medium

  * Rename source to kate4
  * Drop kate, kwrite and kate-dbg package, now provided by kate (kf5)
  * Keep katepart for applications to use
  * Don't install manpage in kate-data

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Dec 2014 15:04:55 +0100

kate (4:4.14.3-0ubuntu3) vivid; urgency=medium

  * Fix autopkgtest run by making sure DEB_HOST_MULTIARCH is defined in the
    testsuite

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 27 Nov 2014 21:12:08 +0100

kate (4:4.14.3-0ubuntu2) vivid; urgency=medium

  * kate-data breaks/replaces katepart << 4:4.14.3-0ubuntu2~ (LP: #1395466)
  * Remove files from kate that conflict with kate-data
  * kate-data breaks/replaces kate << 4:4.14.3-0ubuntu2~

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 25 Nov 2014 19:42:45 +0100

kate (4:4.14.3-0ubuntu1) vivid; urgency=medium

  * Merge with debian unstable, remaining changes:
    - add appropriate breaks/replaces
    - build pate:
      + build-depend on python
      + point dh_auto_configure to the correct libpython location
  * Update Vcs urls for the new repository location.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update the maintainer
  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 22 Nov 2014 21:07:44 +0100

kate (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 04:04:06 -0700

kate (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Add missing file to katepart.
  * wrap-and-sort

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 16:32:18 +0200

kate (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:35:44 +0200

kate (4:4.13.97-0ubuntu2) utopic; urgency=medium

  * Bump breaks/replaces for Kubuntu versions

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 08 Aug 2014 17:52:37 +0200

kate (4:4.13.97-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release RC

  [ Jonathan Riddell ]
  * Update kate-data install file
  * Add hacky second build for pate build failure

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:18:22 +0200

kate (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 17:30:23 +0200

kate (4:4.13.90-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release
  * Remove version from libkactivities-dev depend as it has not had
    a new release.
  * Commented out install file that is missing in i386, needs research.

  [ Jonathan Riddell ]
  * Add pate files back to kate-data.install

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 17:38:34 +0200

kate (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:44:15 +0100

kate (4:4.13.1-2ubuntu2) utopic; urgency=medium

  * Fix install files

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 05 Jun 2014 15:50:23 +0200

kate (4:4.13.1-2ubuntu1) utopic; urgency=medium

  * Merge with Debian, remaining changes:
    - Add appropriate Breaks/Replaces

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 05 Jun 2014 13:22:43 +0200

kate (4:4.13.1-2) unstable; urgency=medium

  * Team upload.
  * Disable pate, since it introduces a build-dependency loop (see also
    https://bugs.debian.org/729215#10).
  * Do not really install (even if renamed) the go.xml syntax file, since
    it is already provided by kate-syntax-go (see #628161).
  * Remove the files we must not install for real, so this should help not
    installing them accidentally again.
  * Disable the build of tests, since they are not (and cannot be) run;
    patch debian-disable-tests.diff.

 -- Pino Toscano <pino@debian.org>  Sat, 31 May 2014 16:26:09 +0200

kate (4:4.13.1-1) unstable; urgency=medium



=== debian/control ===
Source: kate4
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.2),
               pkg-config,
               pkg-kde-tools (>= 0.12)
Standards-Version: 4.1.2
Homepage: http://kate-editor.org/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-sc/kate.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-sc/kate.git

Package: katepart
Architecture: any
Depends: kate-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: kate (<< 4:4.7.0),
        kdelibs5-data (<< 4:4.6.90),
        kdelibs5-plugins (<< 4:4.6.90)
Replaces: kate (<< 4:4.7.0),
          kdelibs5-data (<< 4:4.6.90),
          kdelibs5-plugins (<< 4:4.6.90)
Description: embeddable text editor component
 KatePart is a fast and featurerich text editor component. It implements the
 KTextEditor interfaces, a common interface collection for text editor
 components in KDE.

Package: kate-data
Architecture: all
Depends: ${misc:Depends}
Breaks: kate (<< 4:4.14.3-0ubuntu2~),
        katepart (<< 4:4.14.3-0ubuntu2~),
        kdelibs5-data (<< 4:4.6.90)
Replaces: kate (<< 4:4.14.3-0ubuntu2~),
          katepart (<< 4:4.14.3-0ubuntu2~),
          kdelibs5-data (<< 4:4.6.90)
Description: shared data files for Kate text editor
 This package contains the architecture-independent shared data files needed
 for Kate editor
 .
 This package is part of the KDE 4 Base applications module.

Package: libkatepartinterfaces4
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for the embeddable text editor component
 This library contains the code used by the kate part. It is not
 meant to be used directly, applications should use libktexteditor4
 instead.
 .
 This package is a part of KDE 4 Base applications module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- -DKDE4_BUILD_TESTS=false -DBUILD_kate=false -DBUILD_kwrite=false -DBUILD_doc=false -DBUILD_plasma=false

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_auto_install:
	$(overridden_command)
	# provided by kate-syntax-go -- #628161
	rm -f debian/tmp/usr/share/kde4/apps/katepart/syntax/go.xml
	# provided by nescc -- #716942
	rm -f debian/tmp/usr/share/kde4/apps/katepart/syntax/nesc.xml
	# these would belong to kate-dev
	rm -rf debian/tmp/usr/include
	find debian/tmp/usr/lib -maxdepth 1 -name '*.so' -type l -delete
